Packages - Feature Request #2378

[icecat] please make tor button proxy DNS requests by default
2019-07-16 02:41 PM - espiropapa

Status: fixed % Done: 100%
Priority: privacy issue

Assignee: freemor

Category:

Description

hil

i have noticed that even though i have the tor button on with tor working, the DNS requests are not proxied by default. on one hand
this has privacy implications, and on the other it implies not being able to visit onion services, that is something one would expect
when being "torified".

at runtime, it is possible to alter that setting, either in the preferences panel (general -> network proxy settings -> proxy DNS when
using SOCKS v5) or in about:config (network.proxy.socks_remote_dns -> set to true).

however i haven't found a way of make that configuration stick, and for me it's easy to forget to put that setting everytime i open the
browser.

hope this can be fixed, thank you!

History

#1 - 2019-07-16 03:28 PM - bill-auger
- Priority changed from bug to privacy issue

- Status changed from open to forwarded upstream

there is a bug report on the icecat mailing list about this - i will mark this as 'forwarded upstream' for now

https://lists.gnu.org/archive/html/bug-gnuzilla/2019-01/msg00002.html

the user-defined settings should be remembered though - that could be a bug

#2 - 2019-07-19 06:00 PM - freemor

- Assignee set to freemor

As | do not think we changed anything WRT the Tor Button plugin and a quick
looks show it does have some means to do this perhaps this should be pushed
upstream.

I'll check first when | get a chance to be sure that this isn't an intentional

choice. As exit nodes can monitor traffic and as DNS is not by default
encrypted it may have been a conscious choice to leave this off.

#3 - 2019-11-22 05:55 PM - espiropapa

apparently this is working now!

when tor button is enabled, network.proxy.socks_remote_dns is set to true by default :)
#4 - 2019-11-23 01:20 AM - freemor

- % Done changed from 0 to 100

- Status changed from forwarded upstream to fixed

Just checked. This works correctly in the new build of IceCat

Closing as fixed
